local STI = require "sti"
local bump = require "bump"
require("player")

function lerp(pos1, pos2, perc)
    return (1-perc)*pos1 + perc*pos2
end

function bool_to_number(value)
    return value and 1 or 0
end  

function love.load()
    map = STI("map/map1.lua", {"bump"})
    world = bump.newWorld(16)
    map:bump_init(world)
    player:load()
    world:add(player, player.x, player.y, player.w, player.h)
end

function love.update(dt)
    map:update(dt)
    player:update(dt)
end

function love.draw()
    love.graphics.setBackgroundColor(0.5,0.5,0.5)
    map:draw(0,0,1,1)
    player:draw()
end